package com.chenyang.nse.bussiness.entity.orm.table.core.dataproject;

import com.chenyang.nse.bussiness.entity.orm.table.TProEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

@Entity
@Table(
   name = "T_CORE_PROJECT_DATASOURCE"
)
public class TCoreProjectDatasource extends TProEntity {
   private String project_id;
   private String systemstyle;
   private String systemsource_id;
   private Date createtime;
   private String createuser;
   @Transient
   private String sysname;
   @Transient
   private String dbtype;

   public String getSysname() {
      return this.sysname;
   }

   public void setSysname(String sysname) {
      this.sysname = sysname;
   }

   public String getDbtype() {
      return this.dbtype;
   }

   public void setDbtype(String dbtype) {
      this.dbtype = dbtype;
   }

   public String getProject_id() {
      return this.project_id;
   }

   public void setProject_id(String project_id) {
      this.project_id = project_id;
   }

   public String getSystemstyle() {
      return this.systemstyle;
   }

   public void setSystemstyle(String systemstyle) {
      this.systemstyle = systemstyle;
   }

   public String getSystemsource_id() {
      return this.systemsource_id;
   }

   public void setSystemsource_id(String systemsource_id) {
      this.systemsource_id = systemsource_id;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public String getCreateuser() {
      return this.createuser;
   }

   public void setCreateuser(String createuser) {
      this.createuser = createuser;
   }
}
